Skip to main content
GET
/
beneficiaries
/
{reference}
Get beneficiary
curl --request GET \
  --url https://api.prod.payana.cloud/public/api/v1/beneficiaries/{reference} \
  --header 'api-key: <api-key>'
{
  "reference": "be07b610-c6f6-465c-8c43-c6469d3a585f",
  "name": "Acme Inc.",
  "type": "supplier",
  "email": "[email protected]",
  "phone_number": null,
  "identifier_type": "NIT",
  "identifier_number": "112233449",
  "payment_terms": null,
  "fiscal_address": null,
  "contact_information": [
    {
      "type": "email",
      "value": "[email protected]"
    },
    {
      "type": "phone",
      "value": "+5725706683"
    }
  ],
  "bank_accounts": [
    {
      "reference": "35034bf9-babf-45c1-b9d1-c7267e2e02f0",
      "bank_reference": "8b1895e2-5b13-4fa1-9633-382639b6d0e3",
      "bank_name": "Banco de Bogotá",
      "account_number": "999999999"
    }
  ],
  "created_at": "2025-06-01T18:00:35.194+00:00",
  "updated_at": "2025-06-01T18:00:35.194+00:00"
}

Documentation Index

Fetch the complete documentation index at: https://docs.payana.la/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
header
required

API key provista por Payana.

Path Parameters

reference
string
required

Referencia del beneficiario (UUID).

Response

Beneficiary response

reference
string
required
name
string
required
identifier_number
string
required
type
enum<string>
Available options:
supplier
email
string | null
phone_number
string | null
identifier_type
string | null

Tipo de identificación (ej. NIT, CC, RFC).

payment_terms
integer | null
fiscal_address
object
contact_information
object[]
bank_accounts
object[]
created_at
string<date-time> | null
updated_at
string<date-time> | null